namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter15.Listing15_01
{
    using System;
    using System.Collections.Generic;

    public class Program
    {
        public static void Main()
        {
            List<string> sevenWorldBlunders;
            sevenWorldBlunders = new List<string>()
            {
       // Cytaty Gandhiego.
      "Bogactwo bez pracy",
      "Przyjemność bez sumienia",
      "Wiedza bez osobowości",
      "Handel bez moralności",
      "Nauka bez człowieczeństwa",
      "Wiara bez poświęcenia",
      "Polityka bez zasad"
            };

            Print(sevenWorldBlunders);
        }

        private static void Print<T>(IEnumerable<T> items)
        {
            foreach(T item in items)
            {
                Console.WriteLine(item);
            }
        }
    }
}
